/*
 * JPA entity PK template
 */

package de.ivu.elect.business.benutzerverwaltung.entity;

@javax.enterprise.inject.Vetoed
public class BenutzerPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<BenutzerPK> {

  private static final long serialVersionUID = 0L;

  public BenutzerPK() {
    super();
  }

  public BenutzerPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "BenutzerPK:"+getId();
  }

  @Override
  public int compareTo(BenutzerPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
